> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nextsportsapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get countries

> Returns countries covered by football endpoints.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/football/countries
openapi: 3.1.0
info:
  title: NextSportsAPI
  summary: >-
    Football data API for live scores, fixtures, standings, and player
    statistics.
  description: >-
    NextSportsAPI provides the currently supported production football endpoints
    for building sports websites, applications, dashboards, and automation
    workflows. Undocumented API-FOOTBALL endpoints are not exposed until they
    are implemented and verified.
  version: 1.0.0
  contact:
    name: NextSportsAPI Support
    url: https://nextsportsapi.com
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.nextsportsapi.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Status
    description: Account and API status.
  - name: Reference Data
    description: Timezones, countries, and stable lookup data.
  - name: Leagues
    description: Leagues, cups, seasons, and coverage metadata.
  - name: Teams
    description: Teams and venue information returned by the teams endpoint.
  - name: Standings
    description: League and cup standings.
  - name: Fixtures
    description: Fixtures, live scores, events, lineups, and statistics.
  - name: Players
    description: Player season statistics.
paths:
  /v1/football/countries:
    get:
      tags:
        - Reference Data
      summary: Get countries
      description: Returns countries covered by football endpoints.
      operationId: getFootballCountries
      parameters:
        - name: name
          in: query
          required: false
          description: Exact or partial resource name.
          schema:
            type: string
        - name: code
          in: query
          required: false
          description: Country code.
          schema:
            type: string
        - name: search
          in: query
          required: false
          description: Search value. Use at least 3 characters where applicable.
          schema:
            type: string
            minLength: 3
      responses:
        '200':
          description: Successful response.
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/XRateLimitLimit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/XRateLimitRemaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/XRateLimitReset'
            X-Quota-Limit:
              $ref: '#/components/headers/XQuotaLimit'
            X-Quota-Remaining:
              $ref: '#/components/headers/XQuotaRemaining'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountriesEnvelope'
              examples:
                success:
                  summary: Successful response
                  value:
                    get: football/countries
                    parameters:
                      name: England
                    errors: []
                    results: 1
                    paging:
                      current: 1
                      total: 1
                    response:
                      - name: England
                        code: GB-ENG
                        flag: https://media.nextsportsapi.com/flags/gb-eng.svg
        '204':
          description: No content for the supplied filters.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '422':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  headers:
    XRateLimitLimit:
      description: Maximum requests allowed in the current rolling window.
      schema:
        type: integer
    XRateLimitRemaining:
      description: Requests remaining in the current rolling window.
      schema:
        type: integer
    XRateLimitReset:
      description: Unix timestamp when the current rolling window resets.
      schema:
        type: integer
    XQuotaLimit:
      description: Daily request quota for the API key or project.
      schema:
        type: integer
    XQuotaRemaining:
      description: Daily quota remaining.
      schema:
        type: integer
  schemas:
    CountriesEnvelope:
      allOf:
        - $ref: '#/components/schemas/ApiEnvelope'
        - type: object
          properties:
            response:
              type: array
              items:
                $ref: '#/components/schemas/Country'
    ApiEnvelope:
      type: object
      required:
        - get
        - parameters
        - errors
        - results
        - paging
        - response
      properties:
        get:
          type: string
        parameters:
          oneOf:
            - type: object
              additionalProperties:
                type: string
            - type: array
              items: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
        results:
          type: integer
          minimum: 0
        paging:
          $ref: '#/components/schemas/Paging'
        response: true
    Country:
      type: object
      properties:
        name:
          type: string
        code:
          type:
            - string
            - 'null'
        flag:
          type:
            - string
            - 'null'
          format: uri
      additionalProperties: true
    ApiError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          example: validation.required_parameter
        message:
          type: string
          example: The season parameter is required.
        param:
          type:
            - string
            - 'null'
      additionalProperties: true
    Paging:
      type: object
      required:
        - current
        - total
      properties:
        current:
          type: integer
          minimum: 1
          example: 1
        total:
          type: integer
          minimum: 1
          example: 1
  responses:
    BadRequest:
      description: Invalid request parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: Invalid request parameters.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
    Unauthorized:
      description: Authentication failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: Authentication failed.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
    Forbidden:
      description: The API key does not have access to this endpoint or product.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: The API key does not have access to this endpoint or product.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
    ValidationError:
      description: The request parameters failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: The request parameters failed validation.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
    RateLimited:
      description: Rate limit or quota exceeded.
      headers:
        X-RateLimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-RateLimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-RateLimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Quota-Limit:
          $ref: '#/components/headers/XQuotaLimit'
        X-Quota-Remaining:
          $ref: '#/components/headers/XQuotaRemaining'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: Rate limit or quota exceeded.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiEnvelope'
          examples:
            error:
              summary: Internal server error.
              value:
                get: football/standings
                parameters: {}
                errors:
                  - code: validation.required_parameter
                    message: The season parameter is required.
                    param: season
                results: 0
                paging:
                  current: 1
                  total: 1
                response: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````